---
product: "AG Grid"
title: "Theming: Customising Menus & Popups"
description: "Style UI elements that float above the main UI, including menus."
framework: angular
version: "36.2.0"
related:
    - title: "Overview"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming/"
    - title: "Built-in Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/themes/"
    - title: "Theme Parameters"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-parameters/"
    - title: "Theme Parts"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-parts/"
    - title: "Colors & Dark Mode"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-colors/"
    - title: "Fonts"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-fonts/"
    - title: "Borders"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-borders/"
    - title: "Compactness & Row Height"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-compactness/"
    - title: "Selections"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-selections/"
    - title: "Headers"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-headers/"
    - title: "Icons"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/custom-icons/"
    - title: "Master Detail"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-master-detail/"
    - title: "Tool Panels"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-tool-panels/"
    - title: "Inputs & Widgets"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-widgets/"
    - title: "Extending with CSS"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-css/"
    - title: "Theme Builder"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-theme-builder/"
    - title: "Distributing Shared Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-distribution/"
    - title: "Migration from v32"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-migration/"
    - title: "Legacy Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-v32/"
llms: "https://www.ag-grid.com/archive/36.2.0/llms.txt"
---

# Theming: Customising Menus & Popups

Style UI elements that float above the main UI, including menus.

## Rounding corners

- `borderRadius` sets the radius of most rectangular elements within the grid, including the grid itself.
- `wrapperBorderRadius` sets the radius of the grid wrapper, if you want it to be different from `borderRadius`.
- Radius on other elements can be set using css selectors, e.g. `.ag-menu { border-radius: 2px }` will set the radius of popup menus like the right-click context menu.

## Drop shadows

The grid exposes several theme parameters for controlling shadows. Two master parameters control many shadows at once:

- `popupShadow` - a large shadow used on elements that are supposed to appear floating above the grid and separate from it, e.g. drag/drop images and dialogs
- `cardShadow` - a small shadow for elements that are supposed to appear above the grid but connected to it, like dropdowns and cell editors

And you can override shadows for individual elements using more specific parameters:

- `menuShadow` - Shadow for menus e.g. column menu and right-click context menu
- `dialogShadow` - Shadow for popup dialogs such as integrated charts and the advanced filter builder
- `cellEditingShadow` - Shadow for cells being edited
- `dragAndDropImageShadow` - Shadow for the drag and drop image component element when dragging columns
- and more - see the [Menus & Popups section](https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-api/#reference-menusAndPopups) of the parameters reference for popup-related parameters, or search "shadow" in the "All Parameters" section of the [Theme Builder](https://www.ag-grid.com/archive/36.2.0/theme-builder/) for a full list of shadow parameters.

Shadows can use the [extended syntax for shadow values](https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-parameters/#shadow-values):

```js
const myTheme = themeQuartz.withParams({
    menuShadow: { radius: 10, spread: 5, color: 'red' },
});
```

## Styling menus

In order of preference, these techniques can be used to style menus:

- Use the `menuBorder`, `menuSeparatorColor`, `menuShadow` and `menuTextColor` parameters.
- Use CSS rules targeting `.ag-menu` to provide default styles that apply to all menus - column menus, filter menus and right-click context menus.
- Some menus have specific classes, e.g. `.ag-column-menu` and `.ag-filter-menu` that can be used to override their styles. Check the browser developer tools to find the menu class.
- Sometimes you want to be more specific, for example to style the set filter menu but not other filter menus. For this you can use the CSS `:has()` selector to select menus containing a specific component, e.g. `.ag-menu:has(.ag-set-filter)`. Use the browser developer tools to find the component class.

## Example

This example combines all of the above techniques to style the context, column and set filter menus. Click on the column menu and filter menu icons in the column header, or right click on the grid to show a context menu:

```js
// Set a blue background and red shadows by default
const myTheme = themeQuartz.withParams({
    menuBackgroundColor: 'cornflowerblue',
    menuShadow: { radius: 10, spread: 5, color: 'red' },
});
```

```css
/* add a green shadow on set filter menus like "Athlete"
   but not other filter menus like "Age" */
.ag-menu:has(.ag-set-filter) {
    box-shadow: 0 0 10px 5px green;
}
/* and a blue shadow on column menus */
.ag-menu.ag-column-menu {
    box-shadow: 0 0 10px 5px blue;
}
```

#### Styling Menus

```ts
import { Component } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { AgGridAngular } from "ag-grid-angular";
import "./styles.css";
import {
  ColDef,
  ColGroupDef,
  FirstDataRenderedEvent,
  GridApi,
  GridOptions,
  GridReadyEvent,
  ModuleRegistry,
  Theme,
  enableDevValidations,
  themeQuartz,
} from "ag-grid-community";
import { AllEnterpriseModule } from "ag-grid-enterprise";

if (process.env.NODE_ENV !== "production") {
  // Enable extended validations only for development
  enableDevValidations();
}

ModuleRegistry.registerModules([AllEnterpriseModule]);
import { IOlympicData } from "./interfaces";

@Component({
  selector: "my-app",
  standalone: true,
  imports: [AgGridAngular],
  template: `<ag-grid-angular
    style="width: 100%; height: 100%;"
    [columnDefs]="columnDefs"
    [theme]="theme"
    [defaultColDef]="defaultColDef"
    [rowData]="rowData"
    (firstDataRendered)="onFirstDataRendered($event)"
    (gridReady)="onGridReady($event)"
  /> `,
})
export class AppComponent {
  columnDefs: ColDef[] = [
    { field: "athlete", minWidth: 170 },
    { field: "age", filter: "agNumberColumnFilter" },
    { field: "country" },
    { field: "year", filter: "agNumberColumnFilter" },
    { field: "date", filter: "agDateColumnFilter" },
    { field: "sport" },
    { field: "gold", filter: "agNumberColumnFilter" },
    { field: "silver", filter: "agNumberColumnFilter" },
    { field: "bronze", filter: "agNumberColumnFilter" },
    { field: "total", filter: "agNumberColumnFilter" },
  ];
  theme: Theme | "legacy" = myTheme;
  defaultColDef: ColDef = {
    filter: true,
  };
  rowData!: IOlympicData[];

  constructor(private http: HttpClient) {}

  onFirstDataRendered(event: FirstDataRenderedEvent) {
    event.api.showColumnMenu("athlete");
  }

  onGridReady(params: GridReadyEvent<IOlympicData>) {
    this.http
      .get<
        IOlympicData[]
      >("https://www.ag-grid.com/example-assets/olympic-winners.json")
      .subscribe((data) => (this.rowData = data));
  }
}

// Set a blue background and red shadows by default
const myTheme = themeQuartz.withParams({
  menuBackgroundColor: "cornflowerblue",
  menuShadow: { radius: 10, spread: 5, color: "red" },
});
```

[Live example: Styling Menus](https://www.ag-grid.com/archive/36.2.0/examples/theming-popups/styling-menus/angular/)


---
product: "AG Grid"
title: "Theming: Customising Menus & Popups"
description: "Style UI elements that float above the main UI, including menus."
framework: react
version: "36.2.0"
related:
    - title: "Overview"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming/"
    - title: "Built-in Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/themes/"
    - title: "Theme Parameters"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-parameters/"
    - title: "Theme Parts"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-parts/"
    - title: "Colors & Dark Mode"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-colors/"
    - title: "Fonts"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-fonts/"
    - title: "Borders"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-borders/"
    - title: "Compactness & Row Height"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-compactness/"
    - title: "Selections"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-selections/"
    - title: "Headers"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-headers/"
    - title: "Icons"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/custom-icons/"
    - title: "Master Detail"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-master-detail/"
    - title: "Tool Panels"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-tool-panels/"
    - title: "Inputs & Widgets"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-widgets/"
    - title: "Extending with CSS"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-css/"
    - title: "Theme Builder"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-theme-builder/"
    - title: "Distributing Shared Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-distribution/"
    - title: "Migration from v32"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-migration/"
    - title: "Legacy Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-v32/"
llms: "https://www.ag-grid.com/archive/36.2.0/llms.txt"
---

# Theming: Customising Menus & Popups

Style UI elements that float above the main UI, including menus.

## Rounding corners

- `borderRadius` sets the radius of most rectangular elements within the grid, including the grid itself.
- `wrapperBorderRadius` sets the radius of the grid wrapper, if you want it to be different from `borderRadius`.
- Radius on other elements can be set using css selectors, e.g. `.ag-menu { border-radius: 2px }` will set the radius of popup menus like the right-click context menu.

## Drop shadows

The grid exposes several theme parameters for controlling shadows. Two master parameters control many shadows at once:

- `popupShadow` - a large shadow used on elements that are supposed to appear floating above the grid and separate from it, e.g. drag/drop images and dialogs
- `cardShadow` - a small shadow for elements that are supposed to appear above the grid but connected to it, like dropdowns and cell editors

And you can override shadows for individual elements using more specific parameters:

- `menuShadow` - Shadow for menus e.g. column menu and right-click context menu
- `dialogShadow` - Shadow for popup dialogs such as integrated charts and the advanced filter builder
- `cellEditingShadow` - Shadow for cells being edited
- `dragAndDropImageShadow` - Shadow for the drag and drop image component element when dragging columns
- and more - see the [Menus & Popups section](https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-api/#reference-menusAndPopups) of the parameters reference for popup-related parameters, or search "shadow" in the "All Parameters" section of the [Theme Builder](https://www.ag-grid.com/archive/36.2.0/theme-builder/) for a full list of shadow parameters.

Shadows can use the [extended syntax for shadow values](https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-parameters/#shadow-values):

```js
const myTheme = themeQuartz.withParams({
    menuShadow: { radius: 10, spread: 5, color: 'red' },
});
```

## Styling menus

In order of preference, these techniques can be used to style menus:

- Use the `menuBorder`, `menuSeparatorColor`, `menuShadow` and `menuTextColor` parameters.
- Use CSS rules targeting `.ag-menu` to provide default styles that apply to all menus - column menus, filter menus and right-click context menus.
- Some menus have specific classes, e.g. `.ag-column-menu` and `.ag-filter-menu` that can be used to override their styles. Check the browser developer tools to find the menu class.
- Sometimes you want to be more specific, for example to style the set filter menu but not other filter menus. For this you can use the CSS `:has()` selector to select menus containing a specific component, e.g. `.ag-menu:has(.ag-set-filter)`. Use the browser developer tools to find the component class.

## Example

This example combines all of the above techniques to style the context, column and set filter menus. Click on the column menu and filter menu icons in the column header, or right click on the grid to show a context menu:

```js
// Set a blue background and red shadows by default
const myTheme = themeQuartz.withParams({
    menuBackgroundColor: 'cornflowerblue',
    menuShadow: { radius: 10, spread: 5, color: 'red' },
});
```

```css
/* add a green shadow on set filter menus like "Athlete"
   but not other filter menus like "Age" */
.ag-menu:has(.ag-set-filter) {
    box-shadow: 0 0 10px 5px green;
}
/* and a blue shadow on column menus */
.ag-menu.ag-column-menu {
    box-shadow: 0 0 10px 5px blue;
}
```

#### Styling Menus

```tsx
"use client";

import React, {
  useCallback,
  useMemo,
  useRef,
  useState,
  StrictMode,
} from "react";
import { createRoot } from "react-dom/client";
import { AgGridReact, AgGridProvider } from "ag-grid-react";
import "./styles.css";
import {
  ColDef,
  ColGroupDef,
  FirstDataRenderedEvent,
  GridApi,
  GridOptions,
  ModuleRegistry,
  Theme,
  enableDevValidations,
  themeQuartz,
} from "ag-grid-community";
import { AllEnterpriseModule } from "ag-grid-enterprise";
import { IOlympicData } from "./interfaces";
import { useFetchJson } from "./useFetchJson";

if (process.env.NODE_ENV !== "production") {
  // Enable extended validations only for development
  enableDevValidations();
}

const modules = [AllEnterpriseModule];

// Set a blue background and red shadows by default
const myTheme = themeQuartz.withParams({
  menuBackgroundColor: "cornflowerblue",
  menuShadow: { radius: 10, spread: 5, color: "red" },
});

const GridExample = () => {
  const containerStyle = useMemo(() => ({ width: "100%", height: "100%" }), []);
  const gridStyle = useMemo(() => ({ height: "100%", width: "100%" }), []);

  const [columnDefs, setColumnDefs] = useState<ColDef[]>([
    { field: "athlete", minWidth: 170 },
    { field: "age", filter: "agNumberColumnFilter" },
    { field: "country" },
    { field: "year", filter: "agNumberColumnFilter" },
    { field: "date", filter: "agDateColumnFilter" },
    { field: "sport" },
    { field: "gold", filter: "agNumberColumnFilter" },
    { field: "silver", filter: "agNumberColumnFilter" },
    { field: "bronze", filter: "agNumberColumnFilter" },
    { field: "total", filter: "agNumberColumnFilter" },
  ]);
  const theme = useMemo<Theme | "legacy">(() => {
    return myTheme;
  }, []);
  const defaultColDef = useMemo<ColDef>(() => {
    return {
      filter: true,
    };
  }, []);

  const { data, loading } = useFetchJson<IOlympicData>(
    "https://www.ag-grid.com/example-assets/olympic-winners.json",
  );

  const onFirstDataRendered = useCallback((event: FirstDataRenderedEvent) => {
    event.api.showColumnMenu("athlete");
  }, []);

  return (
    <AgGridProvider modules={modules}>
      <div style={containerStyle}>
        <div style={gridStyle}>
          <AgGridReact<IOlympicData>
            rowData={data}
            loading={loading}
            columnDefs={columnDefs}
            theme={theme}
            defaultColDef={defaultColDef}
            onFirstDataRendered={onFirstDataRendered}
          />
        </div>
      </div>
    </AgGridProvider>
  );
};

const root = createRoot(document.getElementById("root")!);
root.render(
  <StrictMode>
    <GridExample />
  </StrictMode>,
);
```

[Live example: Styling Menus](https://www.ag-grid.com/archive/36.2.0/examples/theming-popups/styling-menus/reactFunctionalTs/)


---
product: "AG Grid"
title: "Theming: Customising Menus & Popups"
description: "Style UI elements that float above the main UI, including menus."
framework: vue
version: "36.2.0"
related:
    - title: "Overview"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming/"
    - title: "Built-in Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/themes/"
    - title: "Theme Parameters"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-parameters/"
    - title: "Theme Parts"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-parts/"
    - title: "Colors & Dark Mode"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-colors/"
    - title: "Fonts"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-fonts/"
    - title: "Borders"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-borders/"
    - title: "Compactness & Row Height"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-compactness/"
    - title: "Selections"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-selections/"
    - title: "Headers"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-headers/"
    - title: "Icons"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/custom-icons/"
    - title: "Master Detail"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-master-detail/"
    - title: "Tool Panels"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-tool-panels/"
    - title: "Inputs & Widgets"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-widgets/"
    - title: "Extending with CSS"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-css/"
    - title: "Theme Builder"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-theme-builder/"
    - title: "Distributing Shared Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-distribution/"
    - title: "Migration from v32"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-migration/"
    - title: "Legacy Themes"
      url: "https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-v32/"
llms: "https://www.ag-grid.com/archive/36.2.0/llms.txt"
---

# Theming: Customising Menus & Popups

Style UI elements that float above the main UI, including menus.

## Rounding corners

- `borderRadius` sets the radius of most rectangular elements within the grid, including the grid itself.
- `wrapperBorderRadius` sets the radius of the grid wrapper, if you want it to be different from `borderRadius`.
- Radius on other elements can be set using css selectors, e.g. `.ag-menu { border-radius: 2px }` will set the radius of popup menus like the right-click context menu.

## Drop shadows

The grid exposes several theme parameters for controlling shadows. Two master parameters control many shadows at once:

- `popupShadow` - a large shadow used on elements that are supposed to appear floating above the grid and separate from it, e.g. drag/drop images and dialogs
- `cardShadow` - a small shadow for elements that are supposed to appear above the grid but connected to it, like dropdowns and cell editors

And you can override shadows for individual elements using more specific parameters:

- `menuShadow` - Shadow for menus e.g. column menu and right-click context menu
- `dialogShadow` - Shadow for popup dialogs such as integrated charts and the advanced filter builder
- `cellEditingShadow` - Shadow for cells being edited
- `dragAndDropImageShadow` - Shadow for the drag and drop image component element when dragging columns
- and more - see the [Menus & Popups section](https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-api/#reference-menusAndPopups) of the parameters reference for popup-related parameters, or search "shadow" in the "All Parameters" section of the [Theme Builder](https://www.ag-grid.com/archive/36.2.0/theme-builder/) for a full list of shadow parameters.

Shadows can use the [extended syntax for shadow values](https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-parameters/#shadow-values):

```js
const myTheme = themeQuartz.withParams({
    menuShadow: { radius: 10, spread: 5, color: 'red' },
});
```

## Styling menus

In order of preference, these techniques can be used to style menus:

- Use the `menuBorder`, `menuSeparatorColor`, `menuShadow` and `menuTextColor` parameters.
- Use CSS rules targeting `.ag-menu` to provide default styles that apply to all menus - column menus, filter menus and right-click context menus.
- Some menus have specific classes, e.g. `.ag-column-menu` and `.ag-filter-menu` that can be used to override their styles. Check the browser developer tools to find the menu class.
- Sometimes you want to be more specific, for example to style the set filter menu but not other filter menus. For this you can use the CSS `:has()` selector to select menus containing a specific component, e.g. `.ag-menu:has(.ag-set-filter)`. Use the browser developer tools to find the component class.

## Example

This example combines all of the above techniques to style the context, column and set filter menus. Click on the column menu and filter menu icons in the column header, or right click on the grid to show a context menu:

```js
// Set a blue background and red shadows by default
const myTheme = themeQuartz.withParams({
    menuBackgroundColor: 'cornflowerblue',
    menuShadow: { radius: 10, spread: 5, color: 'red' },
});
```

```css
/* add a green shadow on set filter menus like "Athlete"
   but not other filter menus like "Age" */
.ag-menu:has(.ag-set-filter) {
    box-shadow: 0 0 10px 5px green;
}
/* and a blue shadow on column menus */
.ag-menu.ag-column-menu {
    box-shadow: 0 0 10px 5px blue;
}
```

#### Styling Menus

```ts
import {
  createApp,
  defineComponent,
  onBeforeMount,
  ref,
  shallowRef,
} from "vue";
import { AgGridVue } from "ag-grid-vue3";
import "./styles.css";
import {
  ColDef,
  ColGroupDef,
  FirstDataRenderedEvent,
  GridApi,
  GridOptions,
  GridReadyEvent,
  ModuleRegistry,
  Theme,
  enableDevValidations,
  themeQuartz,
} from "ag-grid-community";
import { AllEnterpriseModule } from "ag-grid-enterprise";
import { IOlympicData } from "./interfaces";

if (process.env.NODE_ENV !== "production") {
  // Enable extended validations only for development
  enableDevValidations();
}

ModuleRegistry.registerModules([AllEnterpriseModule]);

// Set a blue background and red shadows by default
const myTheme = themeQuartz.withParams({
  menuBackgroundColor: "cornflowerblue",
  menuShadow: { radius: 10, spread: 5, color: "red" },
});

const VueExample = defineComponent({
  template: `
        <div style="height: 100%">
                <ag-grid-vue
      style="width: 100%; height: 100%;"
      @grid-ready="onGridReady"
      :columnDefs="columnDefs"
      :theme="theme"
      :defaultColDef="defaultColDef"
      :rowData="rowData"
      @first-data-rendered="onFirstDataRendered"></ag-grid-vue>
        </div>
    `,
  components: {
    "ag-grid-vue": AgGridVue,
  },
  setup(props) {
    const gridApi = shallowRef<GridApi<IOlympicData> | null>(null);
    const columnDefs = ref<ColDef[]>([
      { field: "athlete", minWidth: 170 },
      { field: "age", filter: "agNumberColumnFilter" },
      { field: "country" },
      { field: "year", filter: "agNumberColumnFilter" },
      { field: "date", filter: "agDateColumnFilter" },
      { field: "sport" },
      { field: "gold", filter: "agNumberColumnFilter" },
      { field: "silver", filter: "agNumberColumnFilter" },
      { field: "bronze", filter: "agNumberColumnFilter" },
      { field: "total", filter: "agNumberColumnFilter" },
    ]);
    const theme = ref<Theme | "legacy">(myTheme);
    const defaultColDef = ref<ColDef>({
      filter: true,
    });
    const rowData = ref<IOlympicData[]>(null);

    function onFirstDataRendered(event: FirstDataRenderedEvent) {
      event.api.showColumnMenu("athlete");
    }
    const onGridReady = (params: GridReadyEvent) => {
      gridApi.value = params.api;

      const updateData = (data) => (rowData.value = data);

      fetch("https://www.ag-grid.com/example-assets/olympic-winners.json")
        .then((resp) => resp.json())
        .then((data) => updateData(data));
    };

    return {
      gridApi,
      columnDefs,
      theme,
      defaultColDef,
      rowData,
      onGridReady,
      onFirstDataRendered,
    };
  },
});

const app = createApp(VueExample);
app.mount("#app");
```

[Live example: Styling Menus](https://www.ag-grid.com/archive/36.2.0/examples/theming-popups/styling-menus/vue3/)
